org.keycloak.adapters.jboss

## Class KeycloakLoginModule

- java.lang.Object
- - org.jboss.security.auth.spi.AbstractServerLoginModule
  - - org.keycloak.adapters.jboss.KeycloakLoginModule

- All Implemented Interfaces:
    LoginModule

      public class KeycloakLoginModule
      extends org.jboss.security.auth.spi.AbstractServerLoginModule

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Principal` | `identity`
    `protected static org.jboss.logging.Logger` | `log`
    `protected Set<String>` | `roleSet`

    - ### Fields inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule

      `callbackHandler, loginOk, options, principalClassName, sharedState, subject, unauthenticatedIdentity, useFirstPass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakLoginModule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `getCredential()`
    `protected Principal` | `getIdentity()`
    `protected Group[]` | `getRoleSets()`
    `boolean` | `login()`

    - ### Methods inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule

      `abort, addValidOptions, checkOptions, commit, createGroup, createIdentity, getCallerPrincipalGroup, getUnauthenticatedIdentity, getUseFirstPass, initialize, logout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static org.jboss.logging.Logger log

    - #### roleSet

          protected Set<String> roleSet

    - #### identity

          protected Principal identity

  - ### Constructor Detail

    - #### KeycloakLoginModule

          public KeycloakLoginModule()

  - ### Method Detail

    - #### login

          public boolean login()
                        throws LoginException

      Specified by:
        `login` in interface `LoginModule`
      Overrides:
        `login` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`
      Throws:
        `LoginException`

    - #### getIdentity

          protected Principal getIdentity()

      Specified by:
        `getIdentity` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`

    - #### getRoleSets

          protected Group[] getRoleSets()
                                 throws LoginException

      Specified by:
        `getRoleSets` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`
      Throws:
        `LoginException`

    - #### getCredential

          protected Object getCredential()
                                  throws LoginException

      Throws:
        `LoginException`

Copyright © 2015. All Rights Reserved.